Bug 241439 - anaconda miscounts and does not create required device nodes
Summary: anaconda miscounts and does not create required device nodes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Martin Sivák
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-25 23:29 UTC by Michal Jaegermann
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-18 09:31:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
check if the device exists and create if it doesn't (1.13 KB, patch)
2007-08-13 05:46 UTC, Martin Sivák
no flags Details | Diff
Fix the missing /dev/sda15 device (1.33 KB, patch)
2007-08-13 15:01 UTC, Martin Sivák
no flags Details | Diff
patch cleanup (2.53 KB, patch)
2007-08-14 07:36 UTC, Martin Sivák
no flags Details | Diff

Description Michal Jaegermann 2007-05-25 23:29:04 UTC
Description of problem:

On a test system I have a drive which has partition from
/dev/sda1 to /dev/sda15.  Unfortunately anaconda creates only
/dev/sda1 to /dev/sda14 nodes and when booting "rescue" 20070525
images, and an installation which happens to use /dev/sda15,
it fails to mount a corresponding partition producing an error.

In a similar manner /dev/sdb1 to /dev/sdb14 and /dev/sdc1 to /dev/sdc14
are also created for two other disks which happen to actually use
much smaller numbers of partitions so there you never bump into
that issue.

BTW - this is not an issue with libata.ignore_hpa=1 from bug 241288.
When booted to a shell prompt it is possible to do

  mknod /dev/sda15
  lvm vgchange -a y

(as this partition happens to be used by an lvm volume) and after
that corresponding volume "magically" appears in /dev and its
logicals can be mounted without any further troubles.

Version-Release number of selected component (if applicable):
anaconda from 20070525 images (it does not show its version)

How reproducible:
always

Comment 1 Martin Sivák 2007-08-13 05:46:06 UTC
Created attachment 161152 [details]
check if the device exists and create if it doesn't

Comment 2 Martin Sivák 2007-08-13 15:01:32 UTC
Created attachment 161179 [details]
Fix the missing /dev/sda15 device

There can be only 15 of scsi partitions right now, thanks to libata.. but there
was a small error... range(1,15) didn't create the 15th device.

Additionaly and for sure, check ensure device exists when used to normal mount
and label testing.

Comment 3 Martin Sivák 2007-08-14 07:36:58 UTC
Created attachment 161257 [details]
patch cleanup

Patch cleanup, better error checking and reporting (to log).

Comment 6 Martin Sivák 2007-08-18 09:31:17 UTC
Commited to upstream repository, will be included in next build.


Note You need to log in before you can comment on or make changes to this bug.